Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class AMQP.BasicProperties.Builder

    java.lang.Object
      com.rabbitmq.client.AMQP.BasicProperties.Builder

Enclosing class:
  AMQP.BasicProperties

    public static final class AMQP.BasicProperties.Builder

extends java.lang.Object

Constructor Summary
`AMQP.BasicProperties.Builder()`

Method Summary
`AMQP.BasicProperties.Builder` | `appId(java.lang.String appId)`
`AMQP.BasicProperties` | `build()`
`AMQP.BasicProperties.Builder` | `clusterId(java.lang.String clusterId)`
`AMQP.BasicProperties.Builder` | `contentEncoding(java.lang.String contentEncoding)`
`AMQP.BasicProperties.Builder` | `contentType(java.lang.String contentType)`
`AMQP.BasicProperties.Builder` | `correlationId(java.lang.String correlationId)`
`AMQP.BasicProperties.Builder` | `deliveryMode(java.lang.Integer deliveryMode)`
`AMQP.BasicProperties.Builder` | `expiration(java.lang.String expiration)`
`AMQP.BasicProperties.Builder` | `headers(java.util.Map<java.lang.String,java.lang.Object> headers)`
`AMQP.BasicProperties.Builder` | `messageId(java.lang.String messageId)`
`AMQP.BasicProperties.Builder` | `priority(java.lang.Integer priority)`
`AMQP.BasicProperties.Builder` | `replyTo(java.lang.String replyTo)`
`AMQP.BasicProperties.Builder` | `timestamp(java.util.Date timestamp)`
`AMQP.BasicProperties.Builder` | `type(java.lang.String type)`
`AMQP.BasicProperties.Builder` | `userId(java.lang.String userId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMQP.BasicProperties.Builder

    public AMQP.BasicProperties.Builder()

Method Detail

### contentType

    public AMQP.BasicProperties.Builder contentType(java.lang.String contentType)

### contentEncoding

    public AMQP.BasicProperties.Builder contentEncoding(java.lang.String contentEncoding)

### headers

    public AMQP.BasicProperties.Builder headers(java.util.Map<java.lang.String,java.lang.Object> headers)

### deliveryMode

    public AMQP.BasicProperties.Builder deliveryMode(java.lang.Integer deliveryMode)

### priority

    public AMQP.BasicProperties.Builder priority(java.lang.Integer priority)

### correlationId

    public AMQP.BasicProperties.Builder correlationId(java.lang.String correlationId)

### replyTo

    public AMQP.BasicProperties.Builder replyTo(java.lang.String replyTo)

### expiration

    public AMQP.BasicProperties.Builder expiration(java.lang.String expiration)

### messageId

    public AMQP.BasicProperties.Builder messageId(java.lang.String messageId)

### timestamp

    public AMQP.BasicProperties.Builder timestamp(java.util.Date timestamp)

### type

    public AMQP.BasicProperties.Builder type(java.lang.String type)

### userId

    public AMQP.BasicProperties.Builder userId(java.lang.String userId)

### appId

    public AMQP.BasicProperties.Builder appId(java.lang.String appId)

### clusterId

    public AMQP.BasicProperties.Builder clusterId(java.lang.String clusterId)

### build

    public AMQP.BasicProperties build()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD